Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] No netflix after upgrade to qtwebengine-5.11.1
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
potuz
Guru
Guru


Joined: 30 Jan 2010
Posts: 378

PostPosted: Thu Jul 19, 2018 11:23 pm    Post subject: [SOLVED] No netflix after upgrade to qtwebengine-5.11.1 Reply with quote

I updated qtwebengine from 5.9.6 to 5.11.1 a couple of days ago and Netflix stopped working (only browser is qupzilla here). It displays error UI3010 in every stream, is anyone else having the same problem?

Last edited by potuz on Sat Jul 21, 2018 7:16 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21779
Location: here

PostPosted: Fri Jul 20, 2018 6:07 am    Post subject: Reply with quote

I have qtwebengine 5.11 and falkon (qupzilla is evolved in falkon) and I tried to see a trailer from netflix and it work fine.
You are sure that problem is update of qtwebengine?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
mir3x
Guru
Guru


Joined: 02 Jun 2012
Posts: 427

PostPosted: Fri Jul 20, 2018 8:21 am    Post subject: Reply with quote

qtwebengine doesnt render netflix.
Its widevine closed source DRM codec.
Dunno how it was even working qwith qupzilla, mb u had firefox or something and it downloaded it. Or maybe qupzilla autodownloads it ( but it forgot this time :D)?
_________________
Installation aborted to prevent system self-destruction
Back to top
View user's profile Send private message
potuz
Guru
Guru


Joined: 30 Jan 2010
Posts: 378

PostPosted: Fri Jul 20, 2018 12:27 pm    Post subject: Reply with quote

fedeliallalinea wrote:
I have qtwebengine 5.11 and falkon (qupzilla is evolved in falkon) and I tried to see a trailer from netflix and it work fine.
You are sure that problem is update of qtwebengine?

I am not sure if it was qtwebengine, that's the only thing I can think that changed in this system than can affect this as it rebuilt the chromium engine. I installed falkon and it's now worse since now it doesn't recognize the widevine plugins. Would you mind telling me which versions of libwidevinecdmadapter.so and libwidevinecdm.so you have installed and where did you get them from? It may be that the update render those libraries (that I just downloaded as binary blobs) unusable.
Back to top
View user's profile Send private message
potuz
Guru
Guru


Joined: 30 Jan 2010
Posts: 378

PostPosted: Fri Jul 20, 2018 12:43 pm    Post subject: Reply with quote

It seems I am not the only one, https://bugreports.qt.io/browse/QTBUG-64071 I am installing the latest chrome-binary-plugins to find out if that solves the problem
Back to top
View user's profile Send private message
potuz
Guru
Guru


Joined: 30 Jan 2010
Posts: 378

PostPosted: Fri Jul 20, 2018 11:21 pm    Post subject: Reply with quote

Ok, I gave up, installed falkon and tried different versions of www-plugins/chrome-binary-plugins, tried:

67.0.3396.99
68.0.3440.59_beta

And unmasked
69.0.3486.0_alpha

To no avail. I tried also copying and creating /usr/lib/qt5/plugins/ppapi and tried the widevine plugin files from 66 that I had previously working but nothing seems to work.
Back to top
View user's profile Send private message
potuz
Guru
Guru


Joined: 30 Jan 2010
Posts: 378

PostPosted: Sat Jul 21, 2018 6:02 pm    Post subject: Reply with quote

qtwebengine 5.11 is based on Chromium 65.0.3325.151, The current chrome-binary-plugins are newer than that, I wander those that have netflix working with qtwebengine 5.11 which version of the widevine plugin are they using. I had an old widevine plugin that seems to have stoped working with the upgrade in chromium (qtwebengine). My guess is that I need a newer one but older than the ones in the tree.
Back to top
View user's profile Send private message
potuz
Guru
Guru


Joined: 30 Jan 2010
Posts: 378

PostPosted: Sat Jul 21, 2018 7:13 pm    Post subject: Reply with quote

Success! marking this thread as solved. I had to extract an older widevine libraries from the debian package for version 66 of chromium

https://dl.google.com/linux/deb/pool/main/g/google-chrome-stable/google-chrome-stable_66.0.3359.181-1_amd64.deb

A tip that I got from the corresponding package in the ARCH AUR:

https://aur.archlinux.org/packages/qt5-webengine-widevine/

Dropped the libraries
libwidevinecdmadapter.so
libwidevinecdm.so

In /usr/lib/chromium/

and voilá. Actually, I am not sure if that was it since I also have soft links to these files in /usr/lib/chromium-browser /usr/lib/qt5/plugins/{ppapi,falkon}

And I won't waste time trying to check which one of these is useless.

It is a bit disappointing that after so many years and such an evolved community we still have these issues sporadically on updates.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 13845

PostPosted: Sat Jul 21, 2018 8:58 pm    Post subject: Reply with quote

potuz wrote:
It is a bit disappointing that after so many years and such an evolved community we still have these issues sporadically on updates.
DRM encumbrance is designed to work worse than non-DRM-encumbered media, so it's not at all surprising that it breaks somewhat frequently. I'm somewhat surprised that it works as well as it does, actually. If the streams were unencumbered and playable without the DRM plugin, this would likely be less prone to random breakage and easier to fix when it did break.
Back to top
View user's profile Send private message
mael
n00b
n00b


Joined: 28 Feb 2018
Posts: 37
Location: Germany

PostPosted: Fri Sep 14, 2018 7:29 pm    Post subject: Reply with quote

this problem is not solved, using binary stuff is a (VERY BAD) workaround at best, not an open-source friendly solution, please unmark the thread as solved!

this widevine plugin should be reverse engineered, recoded from start (for differrent webengines beginning with recent 5.11+ qtwebengine) and published on github opensource!

i consider that a bad joke of a marketing strategy from netflx since i have a valid netflix account and only want to use falkon based on qtwebengine on kde 5 WHICH I COULDNT because of some m***n economics engineer at netflix!

since you must have a valid netflix account to watch it shouldnt concern the company using their proprietary plugin or the (hypothetical possible) open source solution ... i dont want any binary closed source crap on my box UNDERSTOOD NETFLIX?
_________________
Gigabyte X99-SLI
Intel Core i7-5960X 16 Threads @ 3 Ghz
64 GB DDR4 RAM @ 2,13 Ghz
AMD Radeon 290X 8 GB RAM
Creative Soundblaster Z
Areca ARC-1883ix-16
16 Samsung 860 EVO 250 GB SSDs @ 3,5 TB RAID 6
Hauppauge HVR-5525
Firmwares are up-to-date
Back to top
View user's profile Send private message
disquz
n00b
n00b


Joined: 09 Feb 2019
Posts: 1

PostPosted: Sat Feb 09, 2019 9:30 pm    Post subject: Reply with quote

mael wrote:
this problem is not solved, using binary stuff is a (VERY BAD) workaround at best, not an open-source friendly solution, please unmark the thread as solved!

since you must have a valid netflix account to watch it shouldnt concern the company using their proprietary plugin or the (hypothetical possible) open source solution ... i dont want any binary closed source crap on my box UNDERSTOOD NETFLIX?


As much as I agree and support your opinion on this topic, I'm afraid, I guess Netflix will not read your post :P
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum